SystemOrganization addCategory: #ConfigurationOfGlorpDBX!

Object subclass: #ConfigurationOfGlorpDBX
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfGlorpDBX'!

!ConfigurationOfGlorpDBX class methodsFor: 'private' stamp: 'EstebanLorenzano 12/7/2009 11:24'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfGlorpDBX class methodsFor: 'private' stamp: 'DaleHenrichs 1/6/2010 16:47'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfGlorpDBX class methodsFor: 'metacello tool support' stamp: 'EstebanLorenzano 12/7/2009 11:24'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfGlorpDBX class methodsFor: 'metacello tool support' stamp: 'EstebanLorenzano 12/7/2009 11:24'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfGlorpDBX class methodsFor: 'metacello tool support' stamp: 'GuillermoPolito 12/27/2011 03:37'!
loadStable
	(self project version: #stable) load! !

!ConfigurationOfGlorpDBX class methodsFor: 'metacello tool support' stamp: 'EstebanLorenzano 12/7/2009 11:24'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfGlorpDBX class methodsFor: 'accessing' stamp: 'EstebanLorenzano 12/7/2009 11:24'!
project

	^self new project! !

!ConfigurationOfGlorpDBX methodsFor: 'baselines' stamp: 'MarianoMartinezPeck 11/11/2011 14:29'!
baseline20: spec
	<version: '2.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/DBXTalk'.

		spec project: 'Glorp' with: [ spec
				className: 'ConfigurationOfGlorp';
				file: 'ConfigurationOfGlorp';
				repository: 'http://www.squeaksource.com/DBXTalk'.
				].
			
		spec project: 'GlorpTests' with: [ spec
				className: 'ConfigurationOfGlorp';
				loads: #( 'Dev' );
				file: 'ConfigurationOfGlorp';
				repository: 'http://www.squeaksource.com/DBXTalk'.
				 ].
			
		spec project: 'OpenDBXDriver' with: [
			spec
				className: 'ConfigurationOfOpenDBXDriver';
				file: 'ConfigurationOfOpenDBXDriver';
				loads: #( 'Core' 'Benchmarks');
				repository: 'http://www.squeaksource.com/DBXTalk'. ].
			
		spec project: 'OpenDBXDriver Tests'
					copyFrom: 'OpenDBXDriver'
					with: [ spec loads: #('Tests') ].
			
		spec package: 'GlorpOpenDBXDriver' with: [
			spec postLoadDoIt: #postLoadGlorpDriverDBXTalkPharo.
			spec requires: #('OpenDBXDriver' ) ] .
		
		spec package: 'GlorpOpenDBXDriverTests' with: [
			spec requires: #('GlorpOpenDBXDriver' 'GlorpTests'  ) ].
		
		spec
			group: 'default' with: #('ALL');
			group: 'Core' with: #('Glorp');
			group: 'Tests' with: #('GlorpTests' 'OpenDBXDriver Tests'  'GlorpOpenDBXDriverTests');
			group: 'GlorpDBX' with: #('Core' 'OpenDBXDriver' 'GlorpOpenDBXDriver');
			yourself.
			
	]		
			
			! !

!ConfigurationOfGlorpDBX methodsFor: 'baselines' stamp: 'GuillermoPolito 8/23/2011 16:49'!
baseline21: spec
	<version: '2.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/DBXTalk'.

		spec project: 'Glorp' with: [ spec
				className: 'ConfigurationOfGlorp';
				file: 'ConfigurationOfGlorp';
				repository: 'http://www.squeaksource.com/DBXTalk'.
				].
			
		spec project: 'GlorpTests' with: [ spec
				className: 'ConfigurationOfGlorp';
				loads: #( 'Dev' );
				file: 'ConfigurationOfGlorp';
				repository: 'http://www.squeaksource.com/DBXTalk'.
				 ].
			
		spec project: 'OpenDBXDriver' with: [
			spec
				className: 'ConfigurationOfOpenDBXDriver';
				file: 'ConfigurationOfOpenDBXDriver';
				loads: #( 'Core' 'Benchmarks');
				repository: 'http://www.squeaksource.com/DBXTalk'. ].
			
		spec project: 'OpenDBXDriver Tests'
					copyFrom: 'OpenDBXDriver'
					with: [ spec loads: #('Tests') ].
			
		spec package: 'GlorpOpenDBXDriver' with: [
			spec postLoadDoIt: #postLoadGlorpDriverDBXTalkPharo.
			spec requires: #('OpenDBXDriver' ) ] .
		
		spec package: 'GlorpOpenDBXDriverTests' with: [
			spec requires: #('GlorpOpenDBXDriver' 'GlorpTests'  ) ].
		
		spec
			group: 'default' with: #('ALL');
			group: 'Core' with: #('Glorp');
			group: 'Tests' with: #('GlorpTests' 'OpenDBXDriver Tests'  'GlorpOpenDBXDriverTests');
			group: 'GlorpDBX' with: #('Core' 'OpenDBXDriver' 'GlorpOpenDBXDriver');
			yourself.
			
	]		
			
			! !

!ConfigurationOfGlorpDBX methodsFor: 'baselines' stamp: 'MarianoMartinezPeck 11/9/2011 11:15'!
baseline22: spec
	<version: '2.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/DBXTalk'.

		spec project: 'Glorp' with: [ spec
				className: 'ConfigurationOfGlorp';
				file: 'ConfigurationOfGlorp';
				repository: 'http://www.squeaksource.com/DBXTalk'.
				].
			
		spec project: 'GlorpTests' with: [ spec
				className: 'ConfigurationOfGlorp';
				file: 'ConfigurationOfGlorp';
				repository: 'http://www.squeaksource.com/DBXTalk'.
				 ].
			
		spec project: 'OpenDBXDriver' with: [
			spec
				className: 'ConfigurationOfOpenDBXDriver';
				file: 'ConfigurationOfOpenDBXDriver';
				loads: #( 'Core' 'Benchmarks');
				repository: 'http://www.squeaksource.com/DBXTalk'. ].
			
		spec project: 'OpenDBXDriver Tests'
					copyFrom: 'OpenDBXDriver'
					with: [ spec loads: #('Tests') ].
			
		spec package: 'GlorpOpenDBXDriver' with: [
			spec postLoadDoIt: #postLoadGlorpDriverDBXTalkPharo.
			spec requires: #('OpenDBXDriver' ) ] .
		
		spec package: 'GlorpOpenDBXDriverTests' with: [
			spec requires: #('GlorpOpenDBXDriver' 'GlorpTests'  ) ].
		
		spec project: 'PostgresV2' with: [
			spec
				className: 'ConfigurationOfPostgresV2';
				file: 'ConfigurationOfPostgresV2';
				repository: 'http://www.squeaksource.com/MetacelloRepository'. ].
		
		spec package: 'GlorpDriverPostgreSQL' with: [
			spec repository: 'http://www.squeaksource.com/PostgresV2'.
			spec postLoadDoIt: #postLoadGlorpPostgresNativeDriverDBXTalkPharo.
			spec requires: #('PostgresV2' 'Glorp' ) ].
		
		spec
			group: 'default' with: #('GlorpDBX' 'AllTests');
			group: 'Core' with: #('Glorp');
			group: 'AllTests' with: #('GlorpTests' 'OpenDBXDriver Tests'  'GlorpOpenDBXDriverTests');
			group: 'GlorpDBX' with: #('Core' 'OpenDBXDriver' 'GlorpOpenDBXDriver');
			group: 'GlorpPostgresV2Native' with: #( 'Core' 'PostgresV2' 'GlorpDriverPostgreSQL');
			group: 'GlorpPostgresV2NativeWithTests' with: #( 'GlorpPostgresV2Native' 'GlorpTests' );
			yourself.
			
	]		! !

!ConfigurationOfGlorpDBX methodsFor: 'baselines' stamp: 'MarianoMartinezPeck 12/27/2011 17:19'!
baseline23: spec
	<version: '2.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/DBXTalk'.

		spec project: 'Glorp' with: [ spec
				className: 'ConfigurationOfGlorp';
				file: 'ConfigurationOfGlorp';
				repository: 'http://www.squeaksource.com/DBXTalk'.
				].
			
		spec project: 'GlorpTests' with: [ spec
				className: 'ConfigurationOfGlorp';
				file: 'ConfigurationOfGlorp';
				repository: 'http://www.squeaksource.com/DBXTalk'.
				 ].
			
		spec project: 'OpenDBXDriver' with: [
			spec
				className: 'ConfigurationOfOpenDBXDriver';
				file: 'ConfigurationOfOpenDBXDriver';
				loads: #( 'Core' 'Benchmarks');
				repository: 'http://www.squeaksource.com/DBXTalk'. ].
			
		spec project: 'OpenDBXDriver Tests'
					copyFrom: 'OpenDBXDriver'
					with: [ spec loads: #('Tests') ].
			
		spec package: 'GlorpOpenDBXDriver' with: [
			spec postLoadDoIt: #postLoadGlorpDriverDBXTalkPharo.
			spec requires: #('OpenDBXDriver' ) ] .
		
		spec package: 'GlorpOpenDBXDriverTests' with: [
			spec requires: #('GlorpOpenDBXDriver' 'GlorpTests'  ) ].
		
		spec project: 'PostgresV2' with: [
			spec
				className: 'ConfigurationOfPostgresV2';
				file: 'ConfigurationOfPostgresV2';
				repository: 'http://www.squeaksource.com/MetacelloRepository'. ].
		
		spec package: 'GlorpDriverPostgreSQL' with: [
			spec repository: 'http://www.squeaksource.com/PostgresV2'.
			spec postLoadDoIt: #postLoadGlorpPostgresNativeDriverDBXTalkPharo.
			spec requires: #('PostgresV2' 'Glorp' ) ].
		
		spec
			group: 'default' with: #('GlorpDBX' 'AllTests');
			group: 'Core' with: #('Glorp');
			group: 'AllTests' with: #('GlorpTests' 'OpenDBXDriver Tests'  'GlorpOpenDBXDriverTests');
			group: 'GlorpDBX' with: #('Core' 'OpenDBXDriver' 'GlorpOpenDBXDriver');
			group: 'GlorpPostgresV2Native' with: #( 'Core' 'PostgresV2' 'GlorpDriverPostgreSQL');
			group: 'GlorpPostgresV2NativeWithTests' with: #( 'GlorpPostgresV2Native' 'GlorpTests' );
			group: 'DeveloperGroup' with: #('Core' 'GlorpDBX' 'AllTests');
			yourself.
			
	]		! !

!ConfigurationOfGlorpDBX methodsFor: 'baselines' stamp: 'GuillermoPolito 2/1/2013 17:49'!
baseline24: spec
	"Migration to SmalltalkHub"
	<version: '2.4-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.smalltalkhub.com/mc/DBXTalk/Glorp/main'.

		spec project: 'Glorp' with: [ spec
				className: 'ConfigurationOfGlorp';
				file: 'ConfigurationOfGlorp';
				repository: 'http://www.smalltalkhub.com/mc/DBXTalk/Configurations/main'.
				].
			
		spec project: 'GlorpTests' with: [ spec
				className: 'ConfigurationOfGlorp';
				file: 'ConfigurationOfGlorp';
				repository: 'http://www.smalltalkhub.com/mc/DBXTalk/Configurations/main'.
				 ].
			
		spec project: 'OpenDBXDriver' with: [
			spec
				className: 'ConfigurationOfOpenDBXDriver';
				file: 'ConfigurationOfOpenDBXDriver';
				loads: #( 'Core' 'Benchmarks');
				repository: 'http://www.smalltalkhub.com/mc/DBXTalk/Configurations/main'. ].
			
		spec project: 'OpenDBXDriver Tests'
					copyFrom: 'OpenDBXDriver'
					with: [ spec loads: #('Tests') ].
			
		spec package: 'GlorpOpenDBXDriver' with: [
			spec postLoadDoIt: #postLoadGlorpDriverDBXTalkPharo.
			spec requires: #('OpenDBXDriver' ) ] .
		
		spec package: 'GlorpOpenDBXDriverTests' with: [
			spec requires: #('GlorpOpenDBXDriver' 'GlorpTests'  ) ].
		
		spec project: 'PostgresV2' with: [
			spec
				className: 'ConfigurationOfPostgresV2';
				file: 'ConfigurationOfPostgresV2';
				repository: 'http://www.squeaksource.com/MetacelloRepository'. ].
		
		spec package: 'GlorpDriverPostgreSQL' with: [
			spec repository: 'http://www.squeaksource.com/PostgresV2'.
			spec postLoadDoIt: #postLoadGlorpPostgresNativeDriverDBXTalkPharo.
			spec requires: #('PostgresV2' 'Glorp' ) ].
		
		spec
			group: 'default' with: #('GlorpDBX' 'AllTests');
			group: 'Core' with: #('Glorp');
			group: 'AllTests' with: #('GlorpTests' 'OpenDBXDriver Tests'  'GlorpOpenDBXDriverTests');
			group: 'GlorpDBX' with: #('Core' 'OpenDBXDriver' 'GlorpOpenDBXDriver');
			group: 'GlorpPostgresV2Native' with: #( 'Core' 'PostgresV2' 'GlorpDriverPostgreSQL');
			group: 'GlorpPostgresV2NativeWithTests' with: #( 'GlorpPostgresV2Native' 'GlorpTests' );
			group: 'DeveloperGroup' with: #('Core' 'GlorpDBX' 'AllTests');
			yourself.
			
	]		! !

!ConfigurationOfGlorpDBX methodsFor: 'baselines' stamp: 'MarianoMartinezPeck 7/10/2013 17:39'!
baseline25: spec
	"Migration to SmalltalkHub"
	<version: '2.5-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.smalltalkhub.com/mc/DBXTalk/Glorp/main'.

		spec project: 'Glorp' with: [ spec
				className: 'ConfigurationOfGlorp';
				file: 'ConfigurationOfGlorp';
				repository: 'http://www.smalltalkhub.com/mc/DBXTalk/Configurations/main'.
				].
			
		spec project: 'GlorpTests' with: [ spec
				className: 'ConfigurationOfGlorp';
				file: 'ConfigurationOfGlorp';
				repository: 'http://www.smalltalkhub.com/mc/DBXTalk/Configurations/main'.
				 ].
			
		spec project: 'OpenDBXDriver' with: [
			spec
				className: 'ConfigurationOfOpenDBXDriver';
				file: 'ConfigurationOfOpenDBXDriver';
				loads: #( 'Core' 'Benchmarks');
				repository: 'http://www.smalltalkhub.com/mc/DBXTalk/Configurations/main'. ].
			
		spec project: 'OpenDBXDriver Tests'
					copyFrom: 'OpenDBXDriver'
					with: [ spec loads: #('Tests') ].
			
		spec package: 'GlorpOpenDBXDriver' with: [
			spec postLoadDoIt: #postLoadGlorpDriverDBXTalkPharo.
			spec requires: #('OpenDBXDriver' ) ] .
		
		spec package: 'GlorpOpenDBXDriverTests' with: [
			spec requires: #('GlorpOpenDBXDriver' 'GlorpTests'  ) ].
		
		spec project: 'PostgresV2' with: [
			spec
				className: 'ConfigurationOfPostgresV2';
				file: 'ConfigurationOfPostgresV2';
				repository: 'http://smalltalkhub.com/mc/PharoExtras/PostgresV2/main'. ].
		
		spec package: 'GlorpDriverPostgreSQL' with: [
			spec repository: 'http://smalltalkhub.com/mc/PharoExtras/PostgresV2/main'.
			spec postLoadDoIt: #postLoadGlorpPostgresNativeDriverDBXTalkPharo.
			spec requires: #('PostgresV2' 'Glorp' ) ].
		
		spec
			group: 'default' with: #('GlorpDBX' 'AllTests');
			group: 'Core' with: #('Glorp');
			group: 'AllTests' with: #('GlorpTests' 'OpenDBXDriver Tests'  'GlorpOpenDBXDriverTests');
			group: 'GlorpDBX' with: #('Core' 'OpenDBXDriver' 'GlorpOpenDBXDriver');
			group: 'GlorpPostgresV2Native' with: #( 'Core' 'GlorpDriverPostgreSQL');
			group: 'GlorpPostgresV2NativeWithTests' with: #( 'GlorpPostgresV2Native' 'GlorpTests' );
			group: 'DeveloperGroup' with: #('Core' 'GlorpDBX' 'AllTests');
			yourself.
			
	]		! !

!ConfigurationOfGlorpDBX methodsFor: 'doits' stamp: 'GuillermoPolito 9/26/2011 11:28'!
postLoadGlorpDriverDBXTalkPharo
	(Smalltalk at: #PharoDatabaseAccessor) DefaultDriver: (Smalltalk globals at: #GlorpOpenDBXDriver).
	"If the connection pool driver is desired, just evaluate:
	 PharoDatabaseAccessor DefaultDriver: GlorpOpenDBXDriverPoolingDriver
	
	"
	
	Transcript open.
	Transcript show: 'IMPORTANT FOR GLORP AND OpenDBXDriver DRIVER'; cr;
	show: 'In order to run sucessfully Glorp tests you should need to change the database connection settings used by them. To do this, change the following methods:
	-GlorpDatabaseLoginResource>>defaultPostgreSQLInternetLogin
	-GlorpDatabaseLoginResource>>defaultPostgreSQLLocalLogin
	-GlorpDatabaseLoginResource>>defaultPostgreSQLLoginForGlorpStore

	After doing this all Glorps tests must be green.'
	! !

!ConfigurationOfGlorpDBX methodsFor: 'doits' stamp: 'GuillermoPolito 6/12/2011 01:03'!
postLoadGlorpPostgresNativeDriverDBXTalkPharo
	(Smalltalk at: #PharoDatabaseAccessor) DefaultDriver: (Smalltalk globals at: #NativePostgresDriver).! !

!ConfigurationOfGlorpDBX methodsFor: 'accessing' stamp: 'EstebanLorenzano 12/7/2009 11:24'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project ]! !

!ConfigurationOfGlorpDBX methodsFor: 'accessing' stamp: 'GuillermoPolito 2/1/2013 17:49'!
stable: spec 
	<symbolicVersion: #stable>
	
	spec for: #'pharo1.2.x' version: '2.4'. 
	spec for: #'pharo1.3.x' version: '2.4'. 
	spec for: #'pharo1.4.x' version: '2.6'.! !

!ConfigurationOfGlorpDBX methodsFor: 'versions' stamp: 'GuillermoPolito 8/23/2011 16:51'!
version20: spec
	<version: '2.0' imports: #('2.0-baseline')>
	
	spec for: #common do: [
		
		spec blessing: #stable.
		
		spec project: 'OpenDBXDriver' with: '1.0'.
		spec project: 'OpenDBXDriver Tests' with: '1.0'.
		spec project: 'Glorp' with: '1.0'. 
		spec project: 'GlorpTests' with: '1.0'.
		
		spec package: 'GlorpOpenDBXDriverTests' with: 'GlorpOpenDBXDriverTests-mariano.4'.
		spec package: 'GlorpOpenDBXDriver' with: 'GlorpOpenDBXDriver-GuillermoPolito.10'.
		
	]! !

!ConfigurationOfGlorpDBX methodsFor: 'versions' stamp: 'GuillermoPolito 8/23/2011 16:51'!
version21: spec
	<version: '2.1' imports: #('2.1-baseline')>
	
	spec for: #common do: [
		
		spec blessing: #stable.
		
		spec project: 'OpenDBXDriver' with: '1.0'.
		spec project: 'OpenDBXDriver Tests' with: '1.0'.
		spec project: 'Glorp' with: '1.0'. 
		spec project: 'GlorpTests' with: '1.0'.
		
		spec package: 'GlorpOpenDBXDriverTests' with: 'GlorpOpenDBXDriverTests-mariano.4'.
		spec package: 'GlorpOpenDBXDriver' with: 'GlorpOpenDBXDriver-GuillermoPolito.10'.
		
	]! !

!ConfigurationOfGlorpDBX methodsFor: 'versions' stamp: 'GuillermoPolito 8/23/2011 16:51'!
version22: spec
	<version: '2.2' imports: #('2.2-baseline')>
	
	spec for: #common do: [
		
		spec blessing: #stable.
		
		spec project: 'OpenDBXDriver' with: '1.0'.
		spec project: 'OpenDBXDriver Tests' with: '1.0'.
		spec project: 'Glorp' with: '1.0'. 
		spec project: 'GlorpTests' with: '1.0'.
		
		spec package: 'GlorpOpenDBXDriverTests' with: 'GlorpOpenDBXDriverTests-mariano.4'.
		spec package: 'GlorpOpenDBXDriver' with: 'GlorpOpenDBXDriver-GuillermoPolito.10'.
		
		spec project: 'PostgresV2' with: '1.0'.
		spec package: 'GlorpDriverPostgreSQL' with: 'GlorpDriverPostgreSQL-GuillermoPolito.3'.
		
	]! !

!ConfigurationOfGlorpDBX methodsFor: 'versions' stamp: 'GuillermoPolito 9/25/2011 16:45'!
version23: spec
	<version: '2.3' imports: #('2.2-baseline')>
	
	spec for: #common do: [
		
		spec blessing: #release.
		
		spec project: 'OpenDBXDriver' with: '1.0'.
		spec project: 'OpenDBXDriver Tests' with: '1.0'.
		spec project: 'Glorp' with: '1.1'. 
		spec project: 'GlorpTests' with: '1.1'.
		
		spec package: 'GlorpOpenDBXDriverTests' with: 'GlorpOpenDBXDriverTests-mariano.4'.
		spec package: 'GlorpOpenDBXDriver' with: 'GlorpOpenDBXDriver-MarianoMartinezPeck.13'.
		
		spec project: 'PostgresV2' with: '1.0'.
		spec package: 'GlorpDriverPostgreSQL' with: 'GlorpDriverPostgreSQL-GuillermoPolito.3'.
		
	]! !

!ConfigurationOfGlorpDBX methodsFor: 'versions' stamp: 'GuillermoPolito 12/23/2011 19:38'!
version24: spec
	<version: '2.4' imports: #('2.2-baseline')>
	
	spec for: #common do: [
		
		spec blessing: #release.
		
		spec project: 'OpenDBXDriver' with: '1.01'.
		spec project: 'OpenDBXDriver Tests' with: '1.01'.
		spec project: 'Glorp' with: '1.2'. 
		spec project: 'GlorpTests' with: '1.2'.
		
		spec package: 'GlorpOpenDBXDriverTests' with: 'GlorpOpenDBXDriverTests-mariano.4'.
		spec package: 'GlorpOpenDBXDriver' with: 'GlorpOpenDBXDriver-IlariLiukko.14'.
		
		spec project: 'PostgresV2' with: '1.0'.
		spec package: 'GlorpDriverPostgreSQL' with: 'GlorpDriverPostgreSQL-GuillermoPolito.3'.
		
	]! !

!ConfigurationOfGlorpDBX methodsFor: 'versions' stamp: 'GuillermoPolito 6/13/2012 11:57'!
version25: spec
	<version: '2.5' imports: #('2.2-baseline')>
	
	spec for: #common do: [
		
		spec blessing: #release.
		
		spec project: 'OpenDBXDriver' with: '1.1'.
		spec project: 'OpenDBXDriver Tests' with: '1.1'.
		spec project: 'Glorp' with: '1.3'. 
		spec project: 'GlorpTests' with: '1.2'.
		
		spec package: 'GlorpOpenDBXDriverTests' with: 'GlorpOpenDBXDriverTests-mariano.4'.
		spec package: 'GlorpOpenDBXDriver' with: 'GlorpOpenDBXDriver-IlariLiukko.14'.
		
		spec project: 'PostgresV2' with: '1.0'.
		spec package: 'GlorpDriverPostgreSQL' with: 'GlorpDriverPostgreSQL-GuillermoPolito.3'.
		
	]! !

!ConfigurationOfGlorpDBX methodsFor: 'versions' stamp: 'GuillermoPolito 2/1/2013 17:49'!
version26: spec
	"Migration to SmalltalkHub"
	<version: '2.6' imports: #('2.4-baseline')>
	
	spec for: #common do: [
		
		spec blessing: #release.
		
		spec project: 'OpenDBXDriver' with: '1.1'.
		spec project: 'OpenDBXDriver Tests' with: '1.1'.
		spec project: 'Glorp' with: '1.3'. 
		spec project: 'GlorpTests' with: '1.2'.
		
		spec package: 'GlorpOpenDBXDriverTests' with: 'GlorpOpenDBXDriverTests-mariano.4'.
		spec package: 'GlorpOpenDBXDriver' with: 'GlorpOpenDBXDriver-IlariLiukko.14'.
		
		spec project: 'PostgresV2' with: '1.0'.
		spec package: 'GlorpDriverPostgreSQL' with: 'GlorpDriverPostgreSQL-GuillermoPolito.3'.
		
	]! !

!ConfigurationOfGlorpDBX methodsFor: 'versions' stamp: 'MarianoMartinezPeck 6/10/2013 14:08'!
version27: spec
	"Migration to SmalltalkHub"
	<version: '2.7' imports: #('2.5-baseline')>
	
	spec for: #common do: [
		
		spec blessing: #release.
		
		spec project: 'OpenDBXDriver' with: '1.1'.
		spec project: 'OpenDBXDriver Tests' with: '1.1'.
		spec project: 'Glorp' with: '1.4'. 
		spec project: 'GlorpTests' with: '1.2'.
		
		spec package: 'GlorpOpenDBXDriverTests' with: 'GlorpOpenDBXDriverTests-mariano.4'.
		spec package: 'GlorpOpenDBXDriver' with: 'GlorpOpenDBXDriver-IlariLiukko.14'.
		
		spec project: 'PostgresV2' with: '2.1'.
		spec package: 'GlorpDriverPostgreSQL' with: 'GlorpDriverPostgreSQL-MarianoMartinezPeck.4'.
		
	]! !

!ConfigurationOfGlorpDBX methodsFor: 'versions' stamp: 'MarianoMartinezPeck 7/10/2013 17:40'!
version28: spec
	"Migration to SmalltalkHub"
	<version: '2.8' imports: #('2.5-baseline')>
	
	spec for: #common do: [
		
		spec blessing: #development.
		
		spec project: 'OpenDBXDriver' with: '1.1'.
		spec project: 'OpenDBXDriver Tests' with: '1.1'.
		spec project: 'Glorp' with: '1.4'. 
		spec project: 'GlorpTests' with: '1.2'.
		
		spec package: 'GlorpOpenDBXDriverTests' with: 'GlorpOpenDBXDriverTests-MarianoMartinezPeck.7'.
		spec package: 'GlorpOpenDBXDriver' with: 'GlorpOpenDBXDriver-MarianoMartinezPeck.16'.
		
		spec project: 'PostgresV2' with: '2.1'.
		spec package: 'GlorpDriverPostgreSQL' with: 'GlorpDriverPostgreSQL-MarianoMartinezPeck.5'.
		
	]! !
